Enabling PCI Compliance with Peach Payments plug-in for WooCommerce

Follow

The Peach Payments plugin for WooCommerce uses our advanced widget to handle and capture all user credit / debit card data. This prevents any of this data from ever touching your servers.

The PCI guidelines outline that if you have outsourced your sensitive cardholder data handling functions then you will be able to qualify for a self-assessment questionnaire (SAQ). Using the SAQ you can then apply for a PCI certificate for your site.

The Peach Payments plug-in ensures that you qualify for this SAQ and that you are not exposed to any cardholder data at any time.

Have more questions? Submit a request

Comments

Powered by Zendesk